<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.base.plan.mapper.FzIndicatorInfoMapper">

    <select id="getFzIndicatorInfoList" parameterType="com.base.plan.model.dto.request.IndicatorReqDTO" resultType="com.base.plan.model.entity.FzIndicatorInfo">
        select * from fz_indicator_info
        <where>
            <if test="req.reqIds != null">
                req_id in
                <foreach collection="req.reqIds" index="index" item="item" open="(" separator="," close=")">
                    #{item}
                </foreach>
            </if>

        </where>
    </select>


</mapper>